/**
 * 手制工单
 * */

$(document).ready(function() {
	//var nDtime = helper.DateFormat.getNowDate(); //当前时间
	autosize($('textarea'));
	helper.getDropList.getlistDropByDic($('#t_county'), 'JBDW'); //获取乡镇下拉
	$('#t_investigator').val($.cookie("u_code"));//给调查员默认值；当前用户的账号
//	helper.getDropList.getlistDropByDic($('#xl_boxs'), 'JBDW'); //获取交办单位下拉
//	helper.getDropList.getlistDropByDic($('#xl_box'), 'XXFL'); //信息分类
	laydate.render({
		elem: '#t_time',
		theme: '#1ab394',
		calendar: 'true',
		//value: nDtime
		//type: 'datetime'
	});
/*
 *  //20180518byfanlongfei将处理部门、处理人、信息分类、交办单位修改为文本框； 
	getBM($("#zrbmtree"));
	getBM($("#clbmtree"));

	//标签切换
	$(".ldtp-cr ul.ld-service li").click(function() {
		$(this).addClass("cr-click").siblings().removeClass("cr-click");
		var index = $(this).index();
		$(".gsxx").find(".sqzx").eq(index).addClass("Shows").siblings().removeClass("Shows");
		if(index == 2) {
			getLX($(".tslx"), "TSLX");
			getBM($("#zrbmtree"));
			getBM($("#clbmtree"));
		}
	});

	//tree下拉框效果
	$(".inpBox .tree").click(function() {
		if($(this).parent().find(".addTree").is(":hidden")) {
			$(this).parent().find(".addTree").show();
		} else {
			$(this).parent().find(".addTree").hide();
		}
	});
	//普通下拉框效果
	$(".inpBox .select").click(function() {
		if($(this).parent().find(".xl_common").is(":hidden")) {
			$(this).parent().find(".xl_common").show();
		} else {
			$(this).parent().find(".xl_common").hide();
		}
	});
	$(".xl").click(function() {
		if($(this).parent().find(".addTree").is(":hidden")) {
			$(this).parent().find(".addTree").show();
		} else {
			$(this).parent().find(".addTree").hide();
		}
		if($(this).parent().find(".xl_common").is(":hidden")) {
			$(this).parent().find(".xl_common").show();
		} else {
			$(this).parent().find(".xl_common").hide();
		}
	});
	$(".inpBox").mouseleave(function() {
		$(this).children(".xl_common").hide();
		$(this).children(".addTree").hide();
	})
	
	//删除
	$(".inpBox").hover(function(event) {
		$(this).children(".de_icon").show();
		event.stopPropagation();
	}, function() {
		$(this).children(".de_icon").hide();
	});
	$(".de_icon").click(function(event) {
		event.stopPropagation();
		$(this).siblings("input").eq(0).val("");
		$(this).siblings("input").eq(1).val("");

		if($(this).siblings("div").find("ul").attr("id") == "zrbmtree") {
			getRY($(".zrid"), $("#zrbm").val());
		}
		if($(this).siblings("div").find("ul").attr("id") == "clbmtree") {
			getRY($(".clid"), $("#clbm").val());
		}
	});

	
	//创建咨询工单
	$(".Cj").click(function() {
		var tskh = $("#zxrs").val(); //咨询人：
		var tsdh = $("#zxdhs").val(); //咨询电话
		var cont = $("#zxnrs").val(); //咨询内容
		var clcont = $("#jdnrs").val(); //内容
		var type = "1";
		if(!telreg.test($.trim(tsdh))) {
			layer.confirm('请输入正确格式的咨询电话！', {
				icon: 2,
				btn: ['确定'] //按钮
			});
			return;
		}
		if(!clcont) {
			layer.confirm('请输入处理内容！', {
				icon: 2,
				btn: ['确定']
			});
			return;
		}
		$.post(huayi.config.callcenter_url + 'CallInScreen/AddWorkOrder', {
			tskh: tskh,
			tsdh: tsdh,
			cont: cont,
			clcont: clcont,
			type: type,
			"token": $.cookie("token")
		}, function(result) {
			result = $.parseJSON(result);
			if(result.state.toLowerCase() == "success") {
				$("#zxrs").val(''); //咨询人：
				$("#zxdhs").val(''); //咨询电话
				$("#zxnrs").val(''); //咨询内容
				$("#jdnrs").val(''); //内容                  
				layer.msg("咨询工单创建成功！");
			}
		})
	})
	
*/	
	//创建工单
	$(".addts").click(function() {
		var telreg = /^\d{3,12}$/;
		var tskh = $("#tskh").val();
		var tsdh = $("#tsdh").val();
//		var clbm = $("#clbm").val();
//		var clid = $("#clid").val();
		var cont = $("#cont").val();

//		if(!tskh) {
//			layer.confirm('请输入客户姓名！', {
//				icon: 2,
//				btn: ['确定']
//			});
//			return;
//		}
		if(!telreg.test($.trim(tsdh))) {
			layer.confirm('请输入正确格式的电话！', {
				icon: 2,
				btn: ['确定'] //按钮
			});
			return;
		}
//		if(!$('#t_detail').val()) {
//			layer.confirm('请输入反映问题！', {
//				icon: 2,
//				btn: ['确定']
//			});
//			return;
//		}
		$.post(huayi.config.callcenter_url + 'CallInScreen/AddWorkOrder', {
			//file	//string	否	附件
			khid: 0,	//int	否	客户id
			callid: 0, //string	否
			source: 1, //string	是	工单来源
			customer: tskh, //string	是	客户姓名	
			custel: tsdh, //string	是	电话
			country: $('#t_county').val(), //string	否	乡镇	
			address: $('#t_address').val(), //string	否	住址
			inqtime: $('#t_time').val(), //string	否	调查时间	
			inquser: $('#t_investigator').val(), //string	否	调查员
			
//			clbm: clbm, //int	否	处理部门
//			clid: clid, //int	否	处理人
//			infotypeid: $("#xl_box").val(), //int	否	信息分类id，默认为0
//			unitid: $("#xl_boxs").val(), //int	否	交办单位id，默认为0

			clbm: $('#clbmname').val(), //string	否	处理部门
			clid: $('#clidname').val(), //string	否	处理人
			infotype: $("#xl_box").val(), //string	否	信息分类id，默认为0
			unit: $("#xl_boxs").val(), //string	否	交办单位id，默认为0
			
			detail: $('#t_detail').val(), //string	是	反映问题
			answer: $('#t_answer').val(), //string	否	回访反馈情况	
			cont: cont, //string	否	问题处理情况
			remark: $('#t_remarks').val(), //string	否	备注
			token: $.cookie("token")
		}, function(result) {
			result = $.parseJSON(result);
			if(result.state.toLowerCase() == "success") {
				clean();
				layer.msg("创建工单成功");
			}
		})
	})
});
/*
 //20180518byfanlongfei将处理部门、处理人、信息分类、交办单位修改为文本框； 
//获取部门
var setting = {
	data: {
		key: {
			name: "F_DeptName"
		},
		simpleData: {
			enable: true,
			idKey: "F_DeptId",
			pIdKey: "F_ParentId",
			rootPId: 0
		}
	},
	callback: {
		onClick: zTreeOnClick
	}
};

function getBM(obj) {
	$.getJSON(huayi.config.callcenter_url + 'Department/GetAllList', {
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$.fn.zTree.init(obj, setting, result.data);
		}
	})
}

function zTreeOnClick(event, treeId, treeNode) {
	if(event) {
		event.stopPropagation();
	}
	var obj = $("#" + event.data.treeId).parent();
	obj.parent().find("input").eq(0).val(treeNode.F_DeptName);
	obj.parent().find("input").eq(1).val(treeNode.F_DeptId);
	obj.hide();
	if(event.data.treeId == "zrbmtree") {
		getRY($(".zrid"), $("#zrbm").val());
	}
	if(event.data.treeId == "clbmtree") {
		getRY($(".clid"), $("#clbm").val());
	}
};
//获取人员
function getRY(obj, deptid) {
	obj.empty();
	obj.append('<li itemid="">--请选择--</li>');
	obj.parent().parent().find("input").eq(0).val("--请选择--");
	obj.parent().parent().find("input").eq(1).val("");
	$.getJSON(huayi.config.callcenter_url + 'UserAccount/GetDeptUserList', {
		"deptid": deptid,
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$(result.data).each(function(i, n) {
				obj.append('<li itemid="' + n.F_UserId + '">' + n.F_UserName + '</li>');
			})

			obj.find("li").click(function(event) {
				if(event) {
					event.stopPropagation();
				}
				$(this).parent().parent().parent().find("input").eq(0).val($(this).text());
				$(this).parent().parent().parent().find("input").eq(1).val($(this).attr("itemid"));
				$(this).parent().parent().hide();
			});
		}
	})
}
//获取类型
function getLX(obj, type) {
	obj.empty();
	$.getJSON(huayi.config.callcenter_url + 'Dictionary/GetDicValueListByFlag', {
		"flag": type,
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$(result.data).each(function(i, n) {
				obj.append('<li itemid="' + n.F_DictionaryValueId + '">' + n.F_Name + '</li>');
			})

			obj.find("li").click(function(event) {
				if(event) {
					event.stopPropagation();
				}
				$(this).parent().parent().parent().find("input").eq(0).val($(this).text());
				$(this).parent().parent().parent().find("input").eq(1).val($(this).attr("itemid"));
				$(this).parent().parent().hide();
			});
		}
	})
}
*/
//清空表单
function clean() {
	$('.form-control').val('');
	$('input[readonly]').val('');
}